Subject: Re: linux-next: add utrace tree

From: Ananth N Mavinakayanahalli <[email-masked]>
Date: Wed, 20 Jan 2010 12:10:26 +0530

On Wed, Jan 20, 2010 at 07:28:34AM +0100, Ingo Molnar wrote:
> 
> * Ananth N Mavinakayanahalli <[email-masked]> wrote:
> 
> > On Wed, Jan 20, 2010 at 06:49:50AM +0100, Ingo Molnar wrote:

...
 
> > On the other hand, having ptrace/utrace in the -next tree will give it a
> > lot more testing, while any outstanding technical issues are being addressed.
> 
> Including experimental code that is RFC and which is not certain to go 
> upstream is certainly not the purpose of linux-next though.

OK.

> It will cause conflicts with various other trees and increases the overhead 
> all around. It also causes us to trust linux-next bugreports less - as it's 
> not the 'next Linux' anymore. Also, there's virtually no high-level technical 
> review done in linux-next: the trees are implicitly trusted (because they are 
> pushed by maintainers), bugs and conflicts are reported but otherwise it's a 
> neutral tree that includes pretty much any commit indiscriminately.
> 
> If you need review and testing there's a number of trees you can get inclusion 
> into.

So would -tip be one of them? If so could you pull the utrace-ptrace
branch in?

Or did you intend some other tree (random-tracing)? (Though I think a
ptrace reimplementation isn't 'random'-tracing :-))

Ananth